---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 3e541f52-5aa3-541a-a508-e57b8266f863
      tier: AATSR_CMP_MONTH
      value: 0.1450546532869339
    brdf:
      alpha_1:
        band_1: 0.24833815547213126
        band_11: 0.11955034044049033
        band_12: 0.05709281611926281
        band_2: 0.24820446433795565
        band_3: 0.34230446276782683
        band_4: 0.1983097244808915
        band_5: 0.19829907015040515
        band_6: 0.1983379395010021
        band_7: 0.35399579587730107
        band_8: 0.3538244832088678
        band_8a: 0.35399687488126447
      alpha_2:
        band_1: 0.23272404781918543
        band_11: 0.22671056699611913
        band_12: 0.2614116618613641
        band_2: 0.23274962006579503
        band_3: 0.22841003740692947
        band_4: 0.25160448956706316
        band_5: 0.25160540807778015
        band_6: 0.25159480342194757
        band_7: 0.20272464816288227
        band_8: 0.20275154132491302
        band_8a: 0.20272592993654773
      id:
      - cfcc8012-7741-5e25-858e-55a587db552e
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 996d2a44-c4de-5d21-ad4c-fe5382829740
      tier: DEFINITIVE
      value: 0.262
    water_vapour:
      id:
      - 58fa5113-2f64-570c-999e-7e47f548f53d
      tier: DEFINITIVE
      value: 3.479999923706055
  id: 17b4cc27-e113-480a-8c32-67db9b790155
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1993.0402956346873
      BAND-11: 245.11499915321141
      BAND-12: 85.75911746319758
      BAND-2: 2046.4874365384471
      BAND-3: 1917.740823383296
      BAND-4: 1565.4213065565634
      BAND-5: 1445.3216749119745
      BAND-6: 1321.4514257240442
      BAND-7: 1214.645914577003
      BAND-8: 1067.9870581455302
      BAND-8A: 973.5954141172058
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2019-11-24 01:01:47.203374Z
    atime: 2022-05-26 12:11:27Z
    ctime: 2019-11-24 06:06:54Z
    mtime: 2019-11-24 06:06:50Z
    owner_id: '12232'
    platform_id: SENTINEL_2B
    sensor_id: MSI
    source_level1: /g/data/up71/projects/ARD_implementation_validation/robbi_northern_territory_L1C/S2B_MSIL1C_20191124T005709_N0208_R002_T53KRB_20191124T021633.zip
  system_information:
    hostname: gadi-cpu-clx-2111.gadi.nci.org.au
    runtime_id: f82fec24-dcec-11ec-bab6-0000018bfe80
    time_processed: 2022-05-26 12:11:27.590134Z
    uname: 'Linux gadi-cpu-clx-2111.gadi.nci.org.au 4.18.0-348.20.1.el8.nci.x86_64
      #1 SMP Wed Mar 16 11:37:35 AEDT 2022 x86_64'
gqa:
  colors:
    blue: 26.0
    green: 329.0
    red: 23.0
    teal: 104.0
    yellow: 19.0
  error_message: no errors
  final_qa_count: 453
  granule: S2B_OPER_MSI_L1C_TL_EPAE_20191124T021633_A014185_T53KRB_N02.08
  ref_date: '2014-09-19T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/100/071/LC81000712014262LGN00_B6.TIF
  residual:
    abs:
      x: 0.6
      xy: 0.81
      y: 0.54
    abs_iterative_mean:
      x: 0.25
      xy: 0.39
      y: 0.3
    cep90: 0.76
    iterative_mean:
      x: 0.12
      xy: 0.22
      y: -0.19
    iterative_stddev:
      x: 0.32
      xy: 0.46
      y: 0.33
    mean:
      x: 0.1
      xy: 0.21
      y: -0.18
    stddev:
      x: 1.58
      xy: 2.03
      y: 1.28
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 31.162979118387547
    cloud: 23.45127091755096
    cloud_shadow: 2.2833659837622324
    snow: 1.6694241658315532
    water: 41.43295981446771
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 68.03453060966282
    cloud: 31.96546939033717
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.1
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.1
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.0
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
